﻿using System;
using System.Threading.Tasks;

namespace VitriumApiSampleCode
{
   class Program
   {
      static void Main(string[] args)
      {
         const string VitriumApiUrl = "https://api.protectedpdf.com/api/2.0/";
         const string VitriumAuthUrl = "https://security.vitrium.com/api/2.0/";
         const string Username = "username";
         const string Password = "password";
         const string AccountId = "f541b603-abb5-444b-b10d-b0786725adfc";

         ApiRequest apiRequest = new ApiRequest(VitriumApiUrl, Username, Password, AccountId);

         var readers = Task.Run(async () => await apiRequest.Get<PagedContract<dynamic>>(VitriumAuthUrl, $"reader?page=%7B%22index%22%3A1%2C%22size%22%3A20%7D&filter=%5B%5D&sort=%7B%22Username%22%3A1%7D")).Result;

         Console.Write(readers.TotalRecord);

         var documents = Task.Run(async () => await apiRequest.Get<PagedContract<dynamic>>(VitriumApiUrl, $"version/GetMostRecentVersion?page=%7B%22index%22%3A1%2C%22size%22%3A20%7D&filter=%5B%7B%22DocTypeKey%22%3A%22std%2Cimg%2Cvid%2Caud%22%7D%2C%7B%22Folder.UniqueId%22%3A%22c8cc8a9a-49da-4ed5-98b2-975001f2ba0d%22%7D%5D&sort=%7B%22CreatedDate%22%3A-1%7D")).Result;

         Console.WriteLine(documents.TotalRecord);
      }
   }
}
